<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:custom="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/iv_recover_pwd_back"
        android:layout_width="wrap_content"
        android:paddingLeft="@dimen/dp_15"
        android:layout_height="@dimen/head_height"
        android:src="@drawable/ic_black_back"
        custom:layout_constraintLeft_toLeftOf="parent"
        custom:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/welcome_forget_pwd"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_40"
        android:text="找回密碼"
        android:textSize="@dimen/dp_26"
        custom:layout_constraintLeft_toLeftOf="parent"
        custom:layout_constraintRight_toRightOf="parent"
        custom:layout_constraintTop_toBottomOf="@id/iv_recover_pwd_back" />

    <TextView
        android:id="@+id/tv_forget_pwd_phone_number"
        style="@style/user_login_edit_title_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginTop="@dimen/dp_55"
        android:text="手機號"
        custom:layout_constraintLeft_toLeftOf="parent"
        custom:layout_constraintTop_toBottomOf="@id/welcome_forget_pwd" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/forget_mobile"
        style="@style/user_login_edit_style"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:hint="請輸入手機號"
        android:inputType="phone"
        android:maxLength="11"
        custom:layout_constraintLeft_toLeftOf="@id/tv_forget_pwd_phone_number"
        custom:layout_constraintRight_toLeftOf="@id/btn_get_verify_code"
        custom:layout_constraintTop_toBottomOf="@id/tv_forget_pwd_phone_number" />

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/btn_get_verify_code"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:background="@drawable/shape_app_btn"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_14"
        android:paddingRight="@dimen/dp_14"
        android:text="獲取驗證碼"
        android:textColor="@color/white"
        custom:layout_constraintBottom_toBottomOf="@id/forget_mobile"
        custom:layout_constraintRight_toRightOf="@id/line_phone_edit"
        custom:layout_constraintTop_toTopOf="@id/forget_mobile" />

    <View
        android:id="@+id/line_phone_edit"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_1"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginRight="@dimen/dp_15"
        android:background="@color/user_login_line_color"
        custom:layout_constraintLeft_toLeftOf="parent"
        custom:layout_constraintRight_toRightOf="parent"
        custom:layout_constraintTop_toBottomOf="@id/forget_mobile" />

    <TextView
        android:id="@+id/tv_forget_pwd_verify"
        style="@style/user_login_edit_title_style"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_30"
        android:text="驗證碼"
        custom:layout_constraintLeft_toLeftOf="@id/tv_forget_pwd_phone_number"

        custom:layout_constraintTop_toBottomOf="@id/line_phone_edit" />

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/forget_verify"
        style="@style/user_login_edit_style"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:hint="請輸入驗證碼"
        android:inputType="phone"
        android:maxLength="6"
        custom:layout_constraintLeft_toLeftOf="@id/line_phone_edit"
        custom:layout_constraintRight_toRightOf="@id/line_phone_edit"
        custom:layout_constraintTop_toBottomOf="@id/tv_forget_pwd_verify" />

    <View
        android:id="@+id/line_verify_code"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_1"
        android:background="@color/user_login_line_color"
        custom:layout_constraintLeft_toLeftOf="@id/line_phone_edit"
        custom:layout_constraintRight_toRightOf="@id/line_phone_edit"
        custom:layout_constraintTop_toBottomOf="@id/forget_verify" />

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/next_step_btn"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/shape_app_btn"
        android:gravity="center"
        android:text="下一步"
        android:textColor="@color/white"
        custom:layout_constraintBottom_toBottomOf="parent"
        custom:layout_constraintLeft_toLeftOf="@id/line_phone_edit"
        custom:layout_constraintRight_toRightOf="@id/line_phone_edit" />
</androidx.constraintlayout.widget.ConstraintLayout>